Home | All Classes | Grouped Classes | Index | Search

# CL_RLESurface::CL_RLESurface

Constructs a run length encoded surface.

    	CL_RLESurface(
    		CL_PixelBuffer provider);

    	CL_RLESurface(
    		CL_InputSource* input);

Parameters:

provider
  Pixel buffer containing image data to be used for constructing RLE surface.
delete_provider
  If true, deletes the provider after copying its image data.
input
  Input source to load a surface in encoded form.

See also:

CL_InputSource | CL_PixelBuffer | CL_RLESurface

Questions or comments, write to the ClanLib mailing list.